/***************************************************

Creator:	Elior

Date:		March 2014

Description: This file creates TABLE A2 in the online appendix:
			 Post Reform Wage by Education of All Working Members
			 in Two Kibbutzim

*****************************************************/

clear all
set mem 200m
set matsize 800
set more off
set logtype text

global name Table_A2

local today="$S_DATE"
local day=word("`today'",1)
local month=word("`today'",2)
local year=substr(word("`today'",3),3,2)
if `day'<10 local day="0`day'" 

/**************************************************
I. ENTER THE PATH NAME WHERE THE DATA FILE IS FOUND
**************************************************/
cd "C:\Users\msvictor3\Dropbox\Work\Kibbutzim\Online Appendix"

use data\appendix_data, clear

*******Open log******* 
cap log close
log using "logs\\${name}_`day'`month'`year'.log", replace

postfile values str50 rowKey N1 N2 N3 N4 using "results\automatic\\${name}", replace

xi: reg lnwage schoolyears i.kibbutz if wage >= 2000
local B1 = _b[schoolyears]
local SE1 = _se[schoolyears]
local N1 = e(N)

xi: reg lnwage schoolyears age agesq i.kibbutz if wage >= 2000
local B2 = _b[schoolyears]
local SE2 = _se[schoolyears]
local N2 = e(N)

xi i.eductypegr, prefix(_E)

xi: reg lnwage _E* i.kibbutz if wage >= 2000
local B3 = _b[ _Eeductypeg_1]
local SE3 = _se[ _Eeductypeg_1]
local B4 = _b[ _Eeductypeg_2]
local SE4 = _se[ _Eeductypeg_2]
local B5 = _b[ _Eeductypeg_3]
local SE5 = _se[ _Eeductypeg_3]
local N3 = e(N)

xi: reg lnwage _E* age agesq i.kibbutz if wage >= 2000
local B6 = _b[ _Eeductypeg_1]
local SE6 = _se[ _Eeductypeg_1]
local B7 = _b[ _Eeductypeg_2]
local SE7 = _se[ _Eeductypeg_2]
local B8 = _b[ _Eeductypeg_3]
local SE8 = _se[ _Eeductypeg_3]
local N4 = e(N)

post values ("Years_of_Schooling") (`B1')  (`B2')  (.) (.)     
post values ("SE")                 (`SE1') (`SE2') (.) (.)	     
post values ("Gap")                (.)     (.)	   (.) (.)	                        

post values ("BA") 				   (.) (.)  (`B3')  (`B6')     
post values ("SE")                 (.) (.)  (`SE3') (`SE6')	     
post values ("Gap")                (.) (.)	(.)     (.)	  

post values ("MA") 				   (.) (.)  (`B4')  (`B5')     
post values ("SE")                 (.) (.)  (`SE4') (`SE7')	     
post values ("Gap")                (.) (.)	(.)     (.)	 

post values ("PHD") 			   (.) (.)  (`B5')  (`B8')     
post values ("SE")                 (.) (.)  (`SE5') (`SE8')	     
post values ("Gap")                (.) (.)	(.)     (.)	   

post values ("OBS") 			   (`N1') (`N2')  (`N3')  (`N4')     
               
postclose values

/*************************************************************
IV. Reformat from dta to csv
**************************************************************/
use "results\automatic\\${name}", clear

outsheet using "results\automatic\\${name}_`day'`month'`year'.csv", replace comma

erase "results\automatic\\${name}.dta"

cap log close
